# OpenLayers.Control.NavigationHistory

A navigation history control. This is a meta-control, that creates two dependent controls: previous and next. Call the trigger method on the previous and next controls to restore previous and next history states. The previous and next controls will become active when there are available states to restore and will become deactive when there are no states to restore.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.NavigationHistory | A navigation history control.
Properties |
previous | {OpenLayers.Control} A button type control whose trigger method restores the previous state managed by this control.
previousOptions | {Object} Set this property on the options argument of the constructor to set optional properties on the previous control.
next | {OpenLayers.Control} A button type control whose trigger method restores the next state managed by this control.
nextOptions | {Object} Set this property on the options argument of the constructor to set optional properties on the next control.
limit | {Integer} Optional limit on the number of history items to retain.
autoActivate | {Boolean} Activate the control when it is added to a map.
Constructor |
OpenLayers.Control.NavigationHistory |
Functions |
destroy | Destroy the control.
nextTrigger | Restore the next state.
clear | Clear history.
activate | Activate the control.
deactivate | Deactivate the control.

### Properties

### previous

{OpenLayers.Control} A button type control whose trigger method restores the previous state managed by this control.

### previousOptions

{Object} Set this property on the options argument of the constructor to set optional properties on the previous control.

### next

{OpenLayers.Control} A button type control whose trigger method restores the next state managed by this control.

### nextOptions

{Object} Set this property on the options argument of the constructor to set optional properties on the next control.

### limit

{Integer} Optional limit on the number of history items to retain. If null, there is no limit. Default is 50.

### autoActivate

{Boolean} Activate the control when it is added to a map. Default is true.

### Constructor

### OpenLayers.Control.NavigationHistory

#### Parameters

options | {Object} An optional object whose properties will be used to extend the control.

### Functions

### destroy

> destroy: function()

Destroy the control.

### nextTrigger

> nextTrigger: function()

Restore the next state. If no items are in the next history stack, this has no effect. The next history stack is populated as states are restored from the previous history stack.

#### Returns

{Object} Item representing state that was restored. Undefined if no items are in the next history stack.

### clear

> clear: function()

Clear history.

### activate

> activate: function()

Activate the control. This registers any listeners.

#### Returns

{Boolean} Control successfully activated.

### deactivate

> deactivate: function()

Deactivate the control. This unregisters any listeners.

#### Returns

{Boolean} Control successfully deactivated.

Controls affect the display or behavior of the map.
{OpenLayers.Control} A button type control whose trigger method restores the previous state managed by this control.
{OpenLayers.Control} A button type control whose trigger method restores the next state managed by this control.

> destroy: function()

Destroy the control.

> nextTrigger: function()

Restore the next state.

> clear: function()

Clear history.

> activate: function()

Activate the control.

> deactivate: function()

Deactivate the control.
Close